com.io7m.r2.core

## Interface R2ShadowMapRendererExecutionType

-     public interface R2ShadowMapRendererExecutionType

  A contextual value representing the in-process rendering of a set of shadow maps.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2ShadowMapContextType` | `shadowExecComplete()` Complete rendering of the shadow maps, returning a context containing all of the rendered maps.
    `void` | `shadowExecRenderLight(com.io7m.jcanephora.profiler.JCGLProfilingContextType pc, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType tc, R2MatricesType m, R2LightWithShadowSingleType ls, R2DepthInstancesType i)` Render the shadow map for the given light.

- - ### Method Detail

    - #### shadowExecRenderLight

          void shadowExecRenderLight(com.io7m.jcanephora.profiler.JCGLProfilingContextType pc,
                                     com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType tc,
                                     R2MatricesType m,
                                     R2LightWithShadowSingleType ls,
                                     R2DepthInstancesType i)
                              throws R2RendererExceptionShadowExecutionNotActive

      Render the shadow map for the given light.
      Parameters:
        `pc` - A profiling context
        `tc` - A texture unit context
        `m` - A set of matrices
        `ls` - A light with a shadow
        `i` - The instances for the light
      Throws:
        `R2RendererExceptionShadowExecutionNotActive` - Iff the execution has already completed

    - #### shadowExecComplete

          R2ShadowMapContextType shadowExecComplete()
                                             throws R2RendererExceptionShadowExecutionNotActive

      Complete rendering of the shadow maps, returning a context containing all of the rendered maps.
      Returns:
        A shadow map context
      Throws:
        `R2RendererExceptionShadowExecutionNotActive` - Iff the execution has already completed

Copyright © 2016 <code@io7m.com> http://io7m.com